//	Microworks ObjectMate 2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SEDIT.CPP 

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include "sfx\sedit.h"

IMPLEMENT_STREAMABLE_FROM_BASE(TSFXEdit, TEdit);

//	constructor for a TSFXEdit object

TSFXEdit::TSFXEdit(TWindow*        parent,
				   int             id,
				   const char far* text,
				   int x, int y, int w, int h,
				   UINT            textLen,
				   BOOL            multiline,
				   TModule*        module)
	:TEdit(parent, id, text, x, y, w, h, textLen, multiline, module)
{
}

//	constructor for a TSFXEdit resource object

TSFXEdit::TSFXEdit(TWindow*   parent,
				   int        resourceId,
				   UINT       textLen,
				   TModule*   module)
	:TEdit(parent, resourceId, textLen, module)
{
}

char far*
TSFXEdit::GetClassName()
{
	return "SFXEDIT";
}

